import React, { useState } from 'react'
import Taro from '@tarojs/taro'
import '@/assets/css/reset.less'
import '@/assets/css/iconfont.less'
import './index.less'

export default function PrizeListItem (props) {

  const [TestImg] = useState('https://timgsa.baidu.com/timg?image&quality=80&size=b9999_10000&sec=1606120989360&di=8610f1678b51e26de6d4c6af39d1cf63&imgtype=0&src=http%3A%2F%2Fattachments.gfan.com%2Fforum%2F201503%2F19%2F211608ztcq7higicydxhsy.jpg')

  return (
    <view className='PrizeListItem' onClick={() => { Taro.navigateTo({ url: `/pages/FuLi/ShangPinXiangQing/index?id=` }) }}>
      <view className='Img'>
        <image mode='aspectFill' src={TestImg} className='centerLabel'></image>
      </view>
      <view className='Info'>
        <text>沙发垫欧式轻奢</text>
        <view className='flex-h'>
          <text className='Count'>70</text>
          <text className='flex-item'>人已兑换</text>
          <text className='Num'>30000</text>
          <text>积分</text>
        </view>
      </view>
    </view >
  )
}
