import React, { useState } from 'react'
import Taro, { Current } from '@tarojs/taro'
import '@/assets/css/reset.less'
import '@/assets/css/iconfont.less'
import './index.less'

export default function BaoXiuDetail () {

  const CurrnetBaoXiuId = Current.router.params.id

  return (
    <view className='BaoXiuDetail'>

      <view className='TopLine'></view>

      {/* 概况 */}
      <view className='TopInfo'>
        <view className='flex-h'>
          <text className='flex-item'>1栋3单元2楼-3楼走廊声控灯已坏</text>
          <text className='iconfont iconjiantouright'></text>
        </view>
        <view className='flex-h'>
          <text className='flex-item'>报修单号</text>
          <text>201810120010</text>
        </view>
        <view className='flex-h'>
          <text className='flex-item'>报修时间</text>
          <text>2018-10-12  18:00</text>
        </view>
      </view>

      {/* 详情 */}
      <view className='Detail'>
        <text>处理进度</text>
        <view className='flex-h'>
          <view className='Line'><view></view></view>
          <view className='flex-item'>
            <view>
              <view className='StepList'>
                <view className='Title flex-h'>
                  <text className='flex-item Red'>待分配</text>
                  <text>12:58</text>
                </view>
                <view className='Text'>您的报修正在分配物业处理人员，若长时间无人处理，请联系物业。<text className='Blue'>物业电话薄</text><text className='Blue iconfont iconjiantouright'></text></view>
                <view className='ImgList'>
                  <view></view>
                  <view></view>
                  <view></view>
                  <view></view>
                  <view></view>
                  <view></view>
                </view>
              </view>
              <view className='StepList'>
                <view className='Title flex-h'>
                  <text className='flex-item'>待分配</text>
                  <text>12:58</text>
                </view>
                <view className='Text'>经评估，您本次报修产生费用<text className='Red'>150</text>元</view>
              </view>
            </view>
          </view>
        </view>

        {/* 更多操作 */}
        <view className='BottomBtn active'>
          <text onClick={() => { Taro.navigateTo({ url: `/pages/WuYe/BaoXiuFeiYong/index?id=${CurrnetBaoXiuId}` }) }}>费用详情</text>
        </view>

        {/* 更多操作 */}
        <view className='BottomBtn'>
          <text>与物业沟通</text>
        </view>
      </view>

    </view>
  )
}
